<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">

	<!-- <link rel="stylesheet" href="index.css"> -->
	
	<title></title>
</head>
<body>

		<div class="text-center">
				<h1>Bootstrap Flex</h1>
				<p>
					Use the d-flex class to create a flex container and transform direct children into the flex items
				</p>
				<h2>Centering Elements</h2>
				<div style="height: 500px" class="bg-secondary p-3 d-flex justify-content-center align-items-center flex-column">
					<div class="h-25 p-3 bg-success ">Flex Item A</div>
					<div class="h-25 p-3 bg-warning">Flex Item B</div>
					<div class="h-25 p-3 bg-danger">Flex Item C</div>
				</div>



				<h2>Flex Row</h2>
				
				<div class="bg-dark p-3 d-flex align-items-center">
					<div class="p-3 bg-success ">Flex Item A</div>
					<div class="p-3 bg-warning">Flex Item B</div>
					<div class="p-3 bg-danger">Flex Item C</div>
				</div>

				<h2>Flex Row Reverse</h2>
				
				<div class="bg-dark p-3 d-flex flex-row-reverse">
					<div class="p-3 bg-success">Flex Item A</div>
					<div class="p-3 bg-warning">Flex Item B</div>
					<div class="p-3 bg-danger">Flex Item C</div>
				</div>



				<h2>Creating Space Between Elements</h2>
				<div class="bg-dark flex-row d-flex flex-lg-row justify-content-around p-3 bg-highlight flex-lg-row flex-column flex-sm-column flex-md-row align-items center-justify content-around ">
					
						<div class="p-3 bg-success">Card A</div>
						<div class=" p-3 bg-warning">Card B</div>
						<div class="p-3 bg-danger">Card C</div>

				</div>



				<h2>Flexbox with Margins</h2>
				<div class="bg-dark d-flex flex-lg-row flex-sm-row p-3">

					 <div class="me-auto bg-highlight">
						<div class="p-3 bg-success">Flex Item A</div> 	</div>	

						<div class="p-3 bg-warning">Flex Item B</div>
						<div class="p-3 bg-danger">Flex Item C</div>
						<div class="p-3 bg-primary">Flex Item D</div>
					</div>

						

				<h2>Nested Flex Elements</h2>
				<div class="bg-dark p-3 d-md-flex d-lg-flex">

					<div class="bg-success me-auto bd-highlight">
						<div class="p-3 bg-success">Flex Item A</div>
					</div>

					<div class="bg-dark d-md-flex justify-content-between w-50"> 
						<div class="p-3 bg-warning ">Flex Item B</div>
						<div class="p-3 bg-danger ">Flex Item C</div>
						<div class="p-3 bg-primary">Flex Item D</div>
					</div>
				
				</div>

		</div>


		  <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous">
        	
        </script>

</body>
</html>
